{******************************************************************************
 *                                                                            *
 *                                LayGO (tm)                                  *
 *           Copyright (c) 1998-2000 by Advanced Relay Corporation            *
 *                           All rights reserved.                             *
 *                                                                            *
 ******************************************************************************

  $Source: q:/laygorcs/Lapb.pas $

      $Id: Lapb.pas 1.2 2000/02/29 01:11:16 tiktin Release $

  EXTERNAL MODULE DESCRIPTION

    Exports LAPB constants, types and routines.

 ******************************************************************************}

unit LAPB;

interface

const

    lapb_TIMER_T1_RETRANSMIT = 0;
    lapb_TIMER_T1_ALTERNATE = 1;
    lapb_TIMER_T2_ACKNOWLEDGE = 2;
    lapb_TIMER_T4_NO_TRAFFIC = 3;
    lapb_TIMER_MAX = 4;

    lapb_STAT_T1_TIMEOUTS = 0;
    lapb_STAT_T2_TIMEOUTS = 1;
    lapb_STAT_T4_TIMEOUTS = 2;
    lapb_STAT_I_FRAME_SENT = 3;
    lapb_STAT_RR_SENT = 4;
    lapb_STAT_RNR_SENT = 5;
    lapb_STAT_REJ_SENT = 6;
    lapb_STAT_SABM_SENT = 7;
    lapb_STAT_DISC_SENT = 8;
    lapb_STAT_DM_SENT = 9;
    lapb_STAT_UA_SENT = 10;
    lapb_STAT_FRMR_SENT = 11;
    lapb_STAT_I_FRAME_RECV = 12;
    lapb_STAT_RR_RECV = 13;
    lapb_STAT_RNR_RECV = 14;
    lapb_STAT_REJ_RECV = 15;
    lapb_STAT_SABM_RECV = 16;
    lapb_STAT_DISC_RECV = 17;
    lapb_STAT_DM_RECV = 18;
    lapb_STAT_UA_RECV = 19;
    lapb_STAT_FRMR_RECV = 20;
    lapb_STAT_INVALID_FRAMES = 21;
    lapb_STAT_IMPOSSIBLE_FRAMES = 22;
    lapb_STAT_RETRANSMIT_FAILURES = 23;
    lapb_STAT_MAX = 24;

    lapb_IOCTL_MAX = 0;

    lapb_MSG_MAX = 0;

implementation

{******************************************************************************
                                 End of File
 ******************************************************************************}
end.
