{******************************************************************************
 *                                                                            *
 *                                LayGO (tm)                                  *
 *           Copyright (c) 1998-2000 by Advanced Relay Corporation            *
 *                           All rights reserved.                             *
 *                                                                            *
 ******************************************************************************

  $Source: q:/laygorcs/Dtdrv.dpr $

      $Id: Dtdrv.dpr 1.2 2000/02/29 01:17:13 tiktin Release $

  EXTERNAL MODULE DESCRIPTION

    Main entry point for the Dtdrv program.

 ******************************************************************************}

program Dtdrv;

uses
  Forms,
  DtdrvMain     in 'DtdrvMain.pas'  { MainForm  },
  DtdrvAbout    in 'DtdrvAbout.pas' { AboutForm },
  DtdrvText     in 'DtdrvText.pas'  { TextForm  },
  DtdrvTdat     in 'DtdrvTdat.pas'  { TdatForm  },
  Hex           in 'Hex.pas',
  StatusReport  in 'Status.pas',
  Statistics    in 'Statistics.pas',
  Tdat          in 'Tdat.pas',
  Using         in 'Using.pas',
  Vtx           in 'Vtx.pas',
  Laygo         in '..\Laygo.pas',
  X21bis        in '..\X21bis.pas';

{$R *.RES}

begin

  Application.Initialize;
  Application.CreateForm(TMainForm, MainForm);
  Application.CreateForm(TAboutForm, AboutForm);
  Application.CreateForm(TTextForm, TextForm);
  Application.CreateForm(TTdatForm, TdatForm);
  Application.Run;

{******************************************************************************
                                 End of File
 ******************************************************************************}
end.

