{******************************************************************************
 *                                                                            *
 *                                LayGO (tm)                                  *
 *           Copyright (c) 1998-2000 by Advanced Relay Corporation            *
 *                           All rights reserved.                             *
 *                                                                            *
 ******************************************************************************

  $Source: q:/laygorcs/FrmRelay.pas $

      $Id: FrmRelay.pas 1.2 2000/02/29 01:11:16 tiktin Release $

  EXTERNAL MODULE DESCRIPTION

    Exports Frame Relay constants, types and routines.

 ******************************************************************************}

unit FrameRelay;

interface

const

    frm_TIMER_T1_KEEP_ALIVE = 0;
    frm_TIMER_T2_VERIFICATION = 1;
    frm_TIMER_MAX = 2;

    frm_TIMER_VC_CONGESTION = 0;
    frm_TIMER_VC_MAX = 1;

    frm_MGMT_SIGNALING_NONE = 0;
    frm_MGMT_SIGNALING_LMI = 1;
    frm_MGMT_SIGNALING_ANNEX_D = 2;
    frm_MGMT_SIGNALING_MAX = 3;

    frm_IOCTL_VC_SET_DE_BIT = 0;
    frm_IOCTL_VC_CLEAR_DE_BIT = 1;
    frm_IOCTL_VC_MAX = 2;

    frm_STAT_FRAME_TOO_SHORT = 0;
    frm_STAT_FRAME_TOO_LONG = 1;
    frm_STAT_FRAME_INVALID_HEADER = 2;
    frm_STAT_FRAME_ON_UNASSIGNED_DLCI = 3;
    frm_STAT_HEARTBEATS_SENT = 4;
    frm_STAT_HEARTBEATS_RECEIVED = 5;
    frm_STAT_LINK_INTEGRITY_ERRORS = 6;
    frm_STAT_LINK_INTEGRITY_ALARMS = 7;
    frm_STAT_LINK_INTEGRITY_INVALID_FRAMES = 8;
    frm_STAT_MAX = 9;

    frm_STAT_VC_FRAMES_SENT = 0;
    frm_STAT_VC_FRAMES_RECEIVED = 1;
    frm_STAT_VC_BECN_BIT_SET = 2;
    frm_STAT_VC_FECN_BIT_SET = 3;
    frm_STAT_VC_CONGESTION_CONTROL = 4;
    frm_STAT_VC_MAX = 5;

    frm_MSG_MAX = 0;

implementation

{******************************************************************************
                                 End of File
 ******************************************************************************}
end.
